sm_addDamageType("Fist");
datablock AudioProfile(sm_punchHitSound)
{
	filename    = "./sound/punch.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(sm_slapHitSound : sm_punchHitSound)
{
	filename    = "./sound/slap.wav";
};
datablock ParticleData(sm_fistFlashParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 80;
	lifetimeVarianceMS   = 15;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.6 0.6 0.1 0.9";
	colors[1]     = "0.6 0.6 0.6 0.0";
	sizes[0]      = 2.0;
	sizes[1]      = 3.0;

	useInvAlpha = false;
};
datablock ParticleData(sm_fistFlashSmallParticle : sm_fistFlashParticle)
{
	sizes[0]      = 1.0;
	sizes[1]      = 2.0;
};
datablock ParticleEmitterData(sm_fistFlashEmitter)
{
	ejectionPeriodMS = 3;
	periodVarianceMS = 0;
	ejectionVelocity = 1.0;
	velocityVariance = 1.0;
	ejectionOffset   = 0.0;
	thetaMin         = 0;
	thetaMax         = 90;
	phiReferenceVel  = 0;
	phiVariance      = 360;
	overrideAdvance = false;
	particles = sm_fistFlashParticle;
};

datablock ParticleEmitterData(sm_fistFlashSmallEmitter : sm_fistFlashEmitter)
{
	particles = sm_fistFlashSmallParticle;
};
datablock ExplosionData(sm_fistExplosion)
{
	soundProfile = "";
	lifeTimeMS = 150;

	particleEmitter = sm_fistFlashEmitter;
	particleDensity = 5;
	particleRadius = 0.2;

	faceViewer     = true;
	explosionScale = "1 1 1";

	shakeCamera = true;
	camShakeFreq = "5 5 5";
	camShakeAmp = "1.0 1.0 1.0";
	camShakeDuration = 1;
	camShakeRadius = 10.0;

	lightStartRadius = 0;
	lightEndRadius = 0;
	lightStartColor = "0 0 0";
	lightEndColor = "0 0 0";
};
datablock ExplosionData(sm_fistSmallExplosion : sm_fistExplosion)
{
	camShakeFreq = "3 3 3";
	camShakeAmp = "0.6 0.6 0.6";
	particleEmitter = sm_fistFlashSmallEmitter;
};
datablock ProjectileData(sm_fistProjectile)
{
	lifeTime = 1;
	explodeOnDeath = true;
	explosion = sm_fistExplosion;
};
datablock ProjectileData(sm_fistSmallProjectile : sm_fistProjectile)
{
	explosion = sm_fistSmallExplosion;
};
datablock ItemData(sm_fistItem)
{
	category 			= "Weapon";
	className 			= "Weapon";

	shapeFile 			= "base/data/shapes/empty.dts";
	rotate 				= false;
	mass 				= 1;
	density 			= 2;
	elasticity 			= 0.02;
	friction 			= 0.9;
	emap 				= true;

	uiName 				= ($Pref::Swol_SMMelee_Prefix ? "SM " : "") @ "Fists";
	iconName 			= "";
	doColorShift 		= false;

	image 				= sm_fistImage;
	canDrop 			= false;
	
	meleeRange			= 2.5;
	meleeHealth			= 0;
	meleeDamageHit		= 25;
	meleeDamageBreak	= 50;
	meleeDamageType 	= $DamageType::SM_Fist;
	meleeVelocity		= 8;
	
	meleeSound_Swing[0] = "sm_genericBluntSwing1Sound";
	meleeSound_Swing[1] = "sm_genericBluntSwing2Sound";
	meleeSound_SwingCnt = 2;
	
	meleeSound_Hit[0] 	= "sm_punchHitSound";
	meleeSound_HitCnt 	= 0;
	
	meleeSound_Smash[0] = "sm_slapHitSound";
	meleeSound_SmashCnt = 0;
	
	meleeExplosion_Hit 	= "sm_fistSmallProjectile";
	meleeExplosion_Smash= "sm_fistProjectile";
};
datablock ShapeBaseImageData(sm_fistImage)
{
	shapeFile 			= sm_fistItem.shapeFile;
	emap 				= true;

	mountPoint 			= 0;
	offset 				= "0 0 1.1";
	eyeOffset 			= "0 0 0";
	rotation 			= "0 0 0 10";
	correctMuzzleVector = false;

	doColorShift 		= sm_fistItem.doColorShift;
	colorShiftColor 	= sm_fistItem.colorShiftColor;
	className 			= "WeaponImage";
	item 				= sm_fistItem;
	armReady 			= false;
	melee				= true;
	
	stateName[0] 					= "Activate";
	stateTimeoutValue[0] 			= 0.50;
	stateTransitionOnTimeout[0] 	= "Ready";
	
	stateName[1] 					= "Ready";
	stateTransitionOnTriggerDown[1] = "Swing";
	
	stateName[2] 					= "Swing";
	stateScript[2] 					= "onFire";
	stateFire[2] 					= true;
	stateTransitionOnTimeout[2] 	= "SwingCheckA";
	stateTimeoutValue[2] 			= 0.22;
	
	stateName[3]					= "SwingCheckA";
	stateScript[3]					= "onSwingCheck";
	stateTimeoutValue[3] 			= 0.1;
	stateTransitionOnTimeout[3] 	= "SwingCheckB";
	
	stateName[4]					= "SwingCheckB";
	stateTransitionOnAmmo[4]		= "Ready";
	stateTransitionOnNoAmmo[4]		= "Wait";
	
	stateName[5]					= "Wait";
	stateTimeoutValue[5] 			= 0.25;
	stateTransitionOnTimeout[5] 	= "Ready";
};
function sm_fistImage::onMount(%db,%pl,%slot)
{
	%pl.playThread(1,root);
}
function sm_fistImage::onSwingCheck(%db,%pl,%slot)
{
	if(%pl.sm_fistCombo > 0)
		%pl.setImageAmmo(%slot,1);
	else
		%pl.setImageAmmo(%slot,0);
}
function sm_fistImage::onFire(%db,%pl,%slot)
{
	if(%pl.sm_fistCombo > 1 && getSimTime()-%pl.sm_fistLastHit < 450)
	{
		%pl.playThread(2,shiftDown);
		%pl.smashOverride = 1;
		%tmpExp = (%item = %db.item).meleeExplosion_Hit;
		%tmpVel	= %item.meleeVelocity;
		%item.meleeExplosion_Hit = %item.meleeExplosion_Smash;
		%item.meleeVelocity = %tmpVel*2.25;
		swolMelee_onFire(%db,%pl,%slot);
		%item.meleeExplosion_Hit = %tmpExp;
		%item.meleeVelocity = %tmpVel;
		%pl.smashOverride = 0;
	}
	else
	{
		%pl.playThread(2,activate2);
		swolMelee_onFire(%db,%pl,%slot);
	}
}
function sm_fistImage::callback_hitPlayer(%db,%pl,%slot,%pos,%victim,%smash)
{
	if(%smash)
	{
		%pl.playThread(2,armReadyBoth);
		%pl.schedule(50,playThread,1,shiftDown);
		%pl.schedule(150,playThread,2,root);
		serverPlay3D(%db.item.meleeSound_Smash[0],%pos);
		%pl.sm_fistLastHit = getSimTime();
		%pl.sm_fistCombo = 0;
	}
	else
	{
		serverPlay3D(%db.item.meleeSound_Hit[0],%pos);
		%pl.sm_fistLastHit = getSimTime();
		%pl.sm_fistCombo++;
	}
}
function sm_fistImage::callback_hitSolid(%db,%pl,%slot,%pos,%victim,%smash)
{
	serverPlay3D(%db.item.meleeSound_Hit[0],%pos);
	%pl.sm_fistCombo = 0;
	%pl.sm_fistLastHit = getSimTime();
}
function sm_fistImage::callback_hitNothing(%db,%pl,%slot)
{
	%pl.sm_fistCombo = 0;
	%pl.sm_fistLastHit = getSimTime();
}